<?php
/**
* Other options
*
* @package FreshWP WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function freshwp_other_options($wp_customize) {

    $wp_customize->add_section( 'freshwp_section_other_options', array( 'title' => esc_html__( 'Other Options', 'freshwp' ), 'panel' => 'freshwp_main_options_panel', 'priority' => 860 ) );

    $wp_customize->add_setting( 'freshwp_options[enable_widgets_block_editor]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'freshwp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'freshwp_enable_widgets_block_editor_control', array( 'label' => esc_html__( 'Enable Gutenberg Widget Block Editor', 'freshwp' ), 'section' => 'freshwp_section_other_options', 'settings' => 'freshwp_options[enable_widgets_block_editor]', 'type' => 'checkbox', ) );

}